VLOCK(1)

NUME
vlock - program de blocare a consolei virtuale

SINOPSIS
vlock [ -hv ]

vlock [ -acns ] [ -t <timp-așteptare> ] [ module... ]

DESCRIERE
vlock este un program pentru a bloca una sau mai multe sesiuni pe consola Linux. Acest lucru este util în special pentru mașinile Linux care au mai mulți utilizatori cu acces la consolă. Un utilizator își poate bloca sesiunea sau sesiunile, permițând în același timp altor utilizatori să utilizeze sistemul pe alte console virtuale. Dacă se dorește, întreaga consolă poate fi blocată, iar comutarea consolei virtuale poate fi dezactivată.

În mod implicit, numai VC (consola virtuală) curentă este blocată. Cu opțiunea -a,--all, toate VC-urile sunt blocate. VC-urile blocate nu pot fi deblocate fără parola celui care le invocă sau fără parola root. Parola root va putea întotdeauna să deblocheze oricare sau toate sesiunile, cu excepția cazului în care este dezactivată în momentul compilării.

Vă rugăm să rețineți că este foarte posibil să vă blocați complet în afara consolei cu opțiunea -a,--all dacă nu vă puteți aminti parola! Cu excepția cazului în care reușiți să dezactivați «vlock» prin conectarea de la distanță prin intermediul unui terminal serial sau al unei rețele, singura metodă de «deblocare» a ecranului este o reinițializare completă.

Atunci când se blochează întregul afișaj al consolei, uneori este încă posibil să se oprească «vlock» folosind Secure Access Key (SAK) sau alte comenzi disponibile prin intermediul mecanismului SysRq. Atunci când se dau opțiunile -s,--disable-sysrq și -a,--all, mecanismul SysRq este dezactivat în timp ce «vlock» rulează. Pentru mai multe detalii, consultați „/usr/src/linux/Documentation/sysrq.txt”.

Opțiunile -s,--disable-sysrq și -t,--timeout funcționează numai dacă vlock este compilat cu suport pentru module de extensie. Consultați secțiunea MODULE pentru mai multe informații.

OPȚIUNI
-a,--all

    Blochează toate sesiunile de consolă și dezactivează comutarea VC.

-c,--current

    Blochează sesiunea curentă (aceasta este opțiunea implicită).

-s,--disable-sysrq

    Dezactivează mecanismul SysRq în timp ce consolele sunt blocate. Această opțiune funcționează numai dacă este dată opțiunea -a,--all.

-t,--timeout <secunde>

    Specifică timpul de așteptare pentru modulele de protecție a ecranului. Pentru mai multe informații, consultați vlock-plugins(5).

-h,--help

    Afișează un scurt mesaj de ajutor.

-v,--version

    Afișează numărul versiunii.

VARIABILE DE MEDIU
Următoarele variabile de mediu pot fi utilizate pentru a schimba comportamentul lui «vlock»:

USER

    Dacă această variabilă este definită atunci când vlock este rulat ca root (uid 0), vlock blochează ecranul ca acest utilizator în loc de root. Parola de root va putea în continuare să deblocheze sesiunea, cu excepția cazului în care este dezactivată în momentul compilării.

VLOCK_ALL_MESSAGE

    În cazul în care această variabilă este definită și toate consolele sunt blocate, conținutul ei va fi utilizat ca mesaj de blocare în locul mesajului implicit.

VLOCK_CURRENT_MESSAGE

    În cazul în care această variabilă este definită și numai consola curentă este blocată, conținutul ei va fi utilizat ca mesaj de blocare în locul mesajului implicit.

VLOCK_MESSAGE

    Dacă această variabilă este definită, conținutul ei va fi utilizat ca mesaj de blocare în locul celui implicit. Aceasta prevalează asupra celor două variabile anterioare.

VLOCK_PLUGINS

    Dacă această variabilă este definită, ea este interpretată ca o listă de module separate prin spații care vor fi încărcate la pornirea «vlock», în plus față de cele listate în linia de comandă.

VLOCK_TIMEOUT

    Definiți această variabilă pentru a specifica timpul de așteptare (în secunde) după care vor fi invocate modulele de economisire a ecranului (dacă există). Dacă această variabilă nu este definită sau este fixată la o valoare nevalidă sau la 0, nu se utilizează nicio temporizare. Consultați vlock-plugins(5) pentru mai multe informații despre module.

VLOCK_PROMPT_TIMEOUT

    Definiți această variabilă pentru a specifica timpul (în secunde) în care trebuie să introduceți parola la solicitarea de parolă. Dacă această variabilă nu este definită sau este definită la o valoare nevalidă sau la 0, nu se utilizează nicio temporizare. Atenție: Dacă această valoare este prea mică, este posibil să nu vă puteți debloca sesiunea.

FIȘIERE
~/.vlockrc

    Acest fișier este citit de vlock la pornire, dacă există. Toate variabilele menționate mai sus pot fi definite aici.

SECURITATE
Pentru mai multe informații, consultați fișierul SECURITY din distribuția vlock.

CONSULTAȚI ȘI
vlock-main(8), vlock-plugins(5)

AUTORI
Michael K. Johnson <http://danlj.org/mkj/>

Frank Benkstein <frank-vlock@benkstein.net>

TRADUCERE
Traducerea în limba română a acestui manual a fost făcută de Remus-Gabriel Chelu <remusgabriel.chelu@disroot.org>

Această traducere este documentație gratuită; citiți Licența publică generală GNU Versiunea 3 (https://www.gnu.org/licenses/gpl-3.0.html) sau o versiune ulterioară cu privire la condiții privind drepturile de autor. NU se asumă NICIO RESPONSABILITATE.

Dacă găsiți erori în traducerea acestui manual, vă rugăm să trimiteți un e-mail la translation-team-ro@lists.sourceforge.net.